/***************************************************************************
**
**    $Header:   D:/EP196/SRC/LOG/SRCDLL/SRCEXT.H__   1.0   15 Aug 1997 14:03:42   ZJRD  $
**
**    $Log:   D:/EP196/SRC/LOG/SRCDLL/SRCEXT.H__  $
** 
**    Rev 1.0   15 Aug 1997 14:03:42   ZJRD
** Initial revision.
** 
**    Rev 1.1.7.0   19 Jun 1997 14:49:22   ZJRD
** 1.0c
** 
****************************************************************************/

// srcext.h : header file
//
#ifndef _SRCEXT_H_
#define _SRCEXT_H_

/////////////////////////////////////////////////////////////////////////////
// CSourceExtensionNamePage

class CSourceExtensionNamePage : public CPropertyPage
{
// Construction
public:
	CSourceExtensionNamePage(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSourceExtensionNamePage)
	enum { IDD = IDD_SRC_EXTNAME };
	CListBox	m_lstName;
	CButton	m_btnRemove;
	CButton	m_btnUp;
	CButton	m_btnDown;
	CButton	m_btnModify;
	CButton	m_btnAdd;
	CString	m_strName;
	//}}AFX_DATA

// Overrides
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual void OnOK();
	virtual BOOL OnSetActive();

// Implementation
protected:
	void EnableControl();
	BOOL CheckSyntax();

	// Generated message map functions
	//{{AFX_MSG(CSourceExtensionNamePage)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonModify();
	afx_msg void OnButtonRemove();
	afx_msg void OnButtonMoveup();
	afx_msg void OnButtonMovedown();
	afx_msg void OnChangeEditExtname();
	afx_msg void OnSelchangeListExtname();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
